Page MenuHomePhabricator

Cannot enter power of ten for quantity datatype
Closed, ResolvedPublic

Description

When trying to enter very big or small quantity values, one cannot use powers of ten to do so. I tried 5*10^-9, 5e-9 and finally 0.000000005. At the first one, I could not even click on save, for the second one I got the error "Unknown unit: e" and when I entered the number with a decimal point, it worked. However, when trying to enter -0.001004±0.000023, the last digits of both numbers are cut off.


Version: unspecified
Severity: major
Whiteboard: u=dev c=backend p=0

Details

Reference
bz65436
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFix parsing of quantities with scientific notation

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:19 AM
bzimport set Reference to bz65436.
bzimport added a subscriber: Unknown Object (MLST).
Bene created this task.May 17 2014, 2:10 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher removed a subscriber: Wikidata-bugs.

Change 204242 had a related patch set uploaded (by Daniel Kinzler):
Fix parsing of quantities with scientific notation.

https://gerrit.wikimedia.org/r/204242

daniel claimed this task.Apr 15 2015, 12:00 PM

Change 204242 merged by jenkins-bot:
Fix parsing of quantities with scientific notation

https://gerrit.wikimedia.org/r/204242

daniel closed this task as Resolved.Apr 16 2015, 4:04 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.